﻿/*
 * Copyright (c) 2013 CodingBlocks.NET <http://codingblocks.net>, Michael Outlaw <michael@michaeloutlaw.com>
 * 
 * See the file license.txt for copying permission.
 */

using System;

namespace CodingBlocks.NET
{
    public class MyGenericClass : IComparable<Int32>, IComparable<String>
    {
        public Int32 MyData { get; set; }

        public int CompareTo(Int32 other)
        {
            Console.WriteLine("MyGenericClass.CompareTo(Int32) - Int32 Generic, other is a value type!");
            return MyData.CompareTo(other);
        }

        public int CompareTo(String other)
        {
            Console.WriteLine("MyGenericClass.CompareTo(String) - String Generic, other is a reference type!");
            return CompareTo(Int32.Parse(other));
        }
    }
}
