﻿/*
 * Copyright (c) 2013 CodingBlocks.NET <http://codingblocks.net>, Michael Outlaw <michael@michaeloutlaw.com>
 * 
 * See the file license.txt for copying permission.
 */

using System;

namespace CodingBlocks.NET
{
    public class MyClass : IComparable
    {
        public Int32 MyData { get; set; }

        public int CompareTo(Object obj)
        {
            if (obj.GetType() != MyData.GetType())
            {
                throw new ArgumentException("obj is not an Int32!");
            }

            Console.WriteLine("MyClass.CompareTo(object) - non-Generic, obj is a boxed Int32.");
            var i = (Int32)obj; // Unboxing 
            return MyData.CompareTo(i);
        }
    }
}
