﻿/*
 * Copyright (c) 2013 CodingBlocks.NET <http://codingblocks.net>, Michael Outlaw <michael@michaeloutlaw.com>
 * 
 * See the file license.txt for copying permission.
 */

using System;

namespace CodingBlocks.NET
{
    class Program
    {
        static void Main(string[] args)
        {
            var mc = new MyClass { MyData = 100 };
            var mgc = new MyGenericClass { MyData = 200 };

            mc.CompareTo(5);  // 5 is boxed
            mgc.CompareTo(5); // 5 is not boxed

            try
            {
                mc.CompareTo("5"); // Oops! We're expecting an int!
            }
            catch (Exception ex)
            {
                Console.WriteLine(ex.Message);
            }

            mgc.CompareTo("5"); // This is convenient

            Console.WriteLine("Press ENTER to quit...");
            Console.ReadLine();
        }
    }
}
